# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Can pass arguments to tests using prove if we have Test::Harness 3.04 or later
%global recent_test_harness %(perl -MTest::Harness -e 'print (($Test::Harness::VERSION >= 3.04) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Devel-Symdump
Epoch:		1
Version:	2.11
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl module for inspecting Perl's symbol table
Group:		Development/Libraries
License:	GPL+ or Artistic
Url:		http://search.cpan.org/dist/Devel-Symdump/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/Devel-Symdump-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
# Compress::Zlib (IO-Compress) -> Test::NoWarnings -> Devel::StackTrace ->
#   Test::NoTabs -> Test::Pod::Coverage -> Pod::Coverage -> Devel::Symdump
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Compress::Zlib)
%endif
BuildRequires:	perl(English)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Harness)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
# Test::Pod::Coverage -> Pod::Coverage -> Devel::Symdump
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Pod::Coverage)
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The perl module Devel::Symdump provides a convenient way to inspect
perl's symbol table and the class hierarchy within a running program.

%prep
%setup -q -n Devel-Symdump-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

# Release tests
%if %{recent_test_harness} && 0%{!?perl_bootstrap:1}
prove t/pod.t t/podcover.t t/glob_to_local_typeglob.t :: --doit
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::Symdump.3pm*

%changelog
* Wed Oct 30 2013 Paul Howarth <paul@city-fan.org> 1:2.11-1
- Update to 2.11
  - v5.19.5-71-gd456e3f stopped producing the %%@ hash at startup

* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> 1:2.10-3
- Perl 5.18 rebuild

* Tue Apr  2 2013 Paul Howarth <paul@city-fan.org> 1:2.10-2
- Don't BR: perl(Compress::Zlib) when bootstrapping, and don't run the release
  tests either

* Wed Mar 27 2013 Paul Howarth <paul@city-fan.org> 1:2.10-1
- Update to 2.10
  - Added test to help track down segfault (CPAN RT#43675)
  - Declared dependency on Compress::Zlib
  - Documented the difficulty of telling whether scalar variables are declared
    or not (CPAN RT#77102)
  - Fixed the autogen.t test again, this time for perl 5.8.9
  - Fixed hash ordering issue for autogen.t test with perl 5.17.10 onwards
    (CPAN RT#84139)
- BR: perl(Compress::Zlib) and perl(English) for the test suite
- Explicitly run the release tests using prove, provided we have a recent
  enough version of prove/Test::Harness

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> 1:2.08-10
- Perl 5.16 post-bootstrap rebuild

* Wed Jun 20 2012 Paul Howarth <paul@city-fan.org> 1:2.08-9
- BR: perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> 1:2.08-8
- OK to use Test::Pod even if we're bootstrapping
- Use %%{_fixperms} macro rather than our own chmod incantation
- BR: perl(Carp) and perl(Exporter)

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> 1:2.08-7
- Rebuild for perl 5.14.1 in Rawhide
- BR: perl(ExtUtils::MakeMaker) and perl(Test::More)
- Don't buildreq Test::Pod or Test::Pod::Coverage if we're bootstrapping
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1:2.08-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1:2.08-2
- Fix dist tag to work with RHEL6 Beta

* Fri Jan 22 2010 Paul Howarth <paul@city-fan.org> 1:2.08-1
- Bump epoch to 1 as per Fedora package
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep  9 2009 Paul Howarth <paul@city-fan.org> 2.08-3
- Define RPM macros in global scope

* Fri Nov 14 2008 Paul Howarth <paul@city-fan.org> 2.08-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Thu Oct 11 2007 Paul Howarth <paul@city-fan.org> 2.08-1
- Update to 2.08
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL (version 1 or later), or Artistic (i.e. same as perl)
- Add buildreqs perl(Test::Pod), perl(Test::Pod::Coverage)

* Fri Jan  5 2007 Paul Howarth <paul@city-fan.org> 2.07-1
- Update to 2.07

* Mon Oct  9 2006 Paul Howarth <paul@city-fan.org> 2.0604-1
- Update to 2.0604

* Thu Sep 21 2006 Paul Howarth <paul@city-fan.org> 2.0603-1
- Update to 2.0603
- Fix argument order for find with -depth
- Fix dist tag for development builds

* Fri Jul 21 2006 Paul Howarth <paul@city-fan.org> 2.0602-1
- Update to 2.0602
- Define %%{__id_u} in a more portable way
- Build on CentOS or Whitebox as per RHEL

* Thu Jan 19 2006 Paul Howarth <paul@city-fan.org> - 2.06-1
- Update to 2.06
- Use search.cpan.org URL for source

* Tue Jan  3 2006 Paul Howarth <paul@city-fan.org> - 2.05-1
- Update to 2.05

* Sat Dec 31 2005 Paul Howarth <paul@city-fan.org> - 2.04-1
- Update to 2.04
- Simplify distribution-detection
- Remove unused __perl_version macro
- Unconditionally remove buildroot in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead

* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> - 2.03-21
- Import from Fedora Core for use with RHEL

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.03-20
- (#155463)
- BuildArch correction (noarch).
- Bring up to date with current Fedora.Extras perl spec template.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Chip Turner <cturner@redhat.com> 2.03-18
- fix typo, bugzilla 122905

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Sat Jan 26 2002 Tim Powers <timp@redhat.com>
- added provides

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
